# collada.controller.BoundSkin

class `collada.controller.``BoundSkin`(skin, matrix, materialnodebysymbol)

  Bases: `collada.controller.BoundController`

  A skin bound to a transform matrix and materials mapping.

  `__init__`(skin, matrix, materialnodebysymbol)

    Initialize self. See help(type(self)) for accurate signature.

  Methods

  `__init__`(skin, matrix, materialnodebysymbol) | Initialize self.
  `getJoint`(i) |
  `getWeight`(i) |
  `primitives`() |